Bug 518020 - Indicate printer status in the icons
Indicate printer status in the icons
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fitandfinish
  Show dependency treegraph
 
Reported: 2009-08-18 09:58 EDT by Matthias Clasen
Modified: 2009-10-08 23:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.13-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 13:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-08-18 09:58:16 EDT
I unplugged a printer and saw no visual indication in s-c-printer that anything had changed. It would be good to indicate printer status in the icons. That would also increase consistency with the GTK+ print dialog, where we already use emblems to indicate printer status.
Comment 1 Tim Waugh 2009-08-19 12:32:52 EDT
There are two separate states here: 'accepting' and 'enabled'.  They're like gates at the start and end of the queue: jobs can only join the queue if the printer is 'accepting' jobs.  Jobs only get processed (and so leave the queue) if the printer is 'enabled'.

When a printer is unplugged, the queue is disabled (but its accepting state is left alone).

For 'accepting', we can put a 'paused' emblem on the icon like the GTK+ print dialog does.

For 'enabled', the GTK+ print dialog doesn't currently show these any differently.  What's the best approach for that?

Should a 'paused' icon be shown if the queue is either 'not accepting' or 'not enabled'?
Comment 2 Matthias Clasen 2009-08-19 14:47:10 EDT
Marek, what emblems are we showing in the print dialog, and for what queue states ?
Comment 3 Marek Kašík 2009-08-20 08:56:04 EDT
Hi,

Gtk+ print dialog shows paused emblem for disabled printer. Printer which rejects jobs is insensitive.

Other emblems are:
report  - not used now
warning - when there is a printer-state-reason with '-warning' suffix
error   - when there is no suffix or '-error' suffix

Regards

Marek
Comment 4 Marek Kašík 2009-08-20 08:57:31 EDT
ps: error and warning emblems have higher priority than pause emblem in gtk+ print dialog
Comment 5 Tim Waugh 2009-08-20 12:43:17 EDT
OK, updated upstream.
Comment 6 Fedora Update System 2009-10-08 23:32:23 EDT
system-config-printer-1.1.13-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.